#!/usr/bin/perl

use strict;

my @list=('epl2011-initial','epl2011-table1','epl2011-69',
          'np2009-1','np2009-2','deoxyinosine_pb');
          
my $system_id=`lsb-release -d`;

my $bin='tfreg';
my $scriptdir='/usr/share/TfReg/examples';
my $data='/usr/share/TfReg/data';
my $exampledir='/usr/share/TfReg/examples';
my $verifydir='/usr/share/TfReg/examples/verify';
my $rundir="/tmp/tfreg-verify/$ENV{'LOGNAME'}";

if ($system_id =~ /Ubuntu/)
  {
  my $scriptdir='/usr/share/tfreg/examples';
  my $data='/usr/share/tfreg/data';
  my $exampledir='/usr/share/tfreg/examples';
  my $verifydir='/usr/share/tfreg/examples/verify'; 
  }

if ($ARGV[0] eq 'local')
  {
  $bin='../tfreg';
  $scriptdir='.';
  $data='../data';
  $exampledir='.';
  $verifydir='verify';
  $rundir=".";
  }
else
  {
  system("mkdir -p $rundir");
  }
  
  
my @verification_list;
foreach my $script (@list)
  {
  system("export BIN=$bin;cd $rundir;$scriptdir/$script.sh $data");
  my $ls=`ls -1 $verifydir/$script*`;
  my @verify_files=split(/\n/,$ls);
  foreach my $result (@verify_files)
    {
    my $local_result=$result;
    $local_result =~ s/$verifydir\///g;
    push(@verification_list,"diff -s $rundir/$local_result $result");
    }
  }
 
print "\nNow comparing files, all results should be identical\n";
foreach my $verification (@verification_list)
  {
  system($verification);
  }
